/* rules.cc
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <glade/glade-xml.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <math.h>
#include "rules.h"
#include "misc.h"

/***************************************************************************
 Callbacks
 ***************************************************************************/


/***************************************************************************
 Rules Class
 ***************************************************************************/

Rules::Rules(GtkWidget *w)
{
	GladeXML *gxml;

	window = w;

	gchar *fname = user_file("rules.glade");

	gxml = glade_xml_new (fname, "rules");
	if (!gxml) { g_warning("Failed to load rules plugin"); return; }
	rules_plugin = glade_xml_get_widget (gxml, "rules");
	gtk_object_unref (GTK_OBJECT (gxml));

	gxml = glade_xml_new (fname, "timeframes");
	if (!gxml) { g_warning("Failed to load timeframes plugin"); return; }
	timeframes_plugin = glade_xml_get_widget (gxml, "timeframes");
	gtk_object_unref (GTK_OBJECT (gxml));

	gxml = glade_xml_new (fname, "events");
	if (!gxml) { g_warning("Failed to load events plugin"); return; }
	events_plugin = glade_xml_get_widget (gxml, "events");
	gtk_object_unref (GTK_OBJECT (gxml));

	g_free(fname);

//	unselect();
}

Rules::~Rules()
{
}

