/* session.h
 * Copyright (C) 2001-2 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef SESSION_H
#define SESSION_H 1
#include "list.h"
#include "message.h"
#include "sessionlist.h"
#include "progress.h"

class Main;
class Data;
class Filter;
class View;
class Device;
class Session
{
	public:
		Session(Main *m);
		~Session();

		void new_session(int type);
		void save();
		void have_title();
		void unique_name();
		void session_action();

		void save_session();
		void load_session(char *str);
		void save_device_file();
//		int uniquefiltername(Filter *orig, char *name);
//		int uniqueviewname(char *name);
		void import_init(gchar *fname);
		void import_kill();
		void import(gboolean show_progress);
		void import_file(gchar *fname, gboolean show_progress);

		Main *main;
//		List filters;
//		List views;
		Data *data;
		List import_files;
		gboolean import_lock;

		int action;
		gboolean devicebit, positionbit;
		char datadir[256];
		char session_name[256];
		char orig_session_name[256];
		Message save_msg;
		Message failure_msg;
		Message overwrite_msg;
		SessionList load_session_list;
		SessionList save_session_list;
		Progress progress;
};

#endif

